---
title: rattler-build debug run
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) [debug](index.md) run

Re-run the build script in an existing debug environment

## Usage
```
rattler-build debug run [OPTIONS]
```

## Options
- <a id="arg---work-dir" href="#arg---work-dir">`--work-dir <WORK_DIR>`</a>
:  Work directory to use (reads from last build in rattler-build-log.txt if not specified)
- <a id="arg---trace" href="#arg---trace">`--trace`</a>
:  Enable shell tracing (bash -x) for verbose build output
- <a id="arg---experimental" href="#arg---experimental">`--experimental`</a>
:  Enable experimental features
<br>**env**: `RATTLER_BUILD_EXPERIMENTAL`
- <a id="arg---v3" href="#arg---v3">`--v3`</a>
:  Enable V3 recipe fields and MatchSpec syntax
- <a id="arg---allow-insecure-host" href="#arg---allow-insecure-host">`--allow-insecure-host <ALLOW_INSECURE_HOST>`</a>
:  List of hosts for which SSL certificate verification should be skipped
<br>May be provided more than once.
- <a id="arg---channel-priority" href="#arg---channel-priority">`--channel-priority <CHANNEL_PRIORITY>`</a>
:  Channel priority to use when solving

## Modifying result
- <a id="arg---output-dir" href="#arg---output-dir">`--output-dir <OUTPUT_DIR>`</a>
:  Output directory for build artifacts.
<br>**env**: `CONDA_BLD_PATH`

## Description
Re-run the build script in an existing debug environment.

Sources `build_env.sh` and executes `conda_build.sh` (or `.bat` on Windows). Use --trace to enable `bash -x` for verbose output. The exit code of the build script is propagated.

